aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-ipc-sharelite/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-11-11 10:06:31 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2015-11-11 10:44:11 +0100
commit9daf190140831245a003286bf265752a178d124d (patch)
treee54e0c374e1648d2cb7fbed5cdd6cb32d5cc092b /main/perl-ipc-sharelite/APKBUILD
parent8633f01fd3aa59906b640d3b305da9b222d64c7c (diff)
downloadaports-9daf190140831245a003286bf265752a178d124d.tar.gz
aports-9daf190140831245a003286bf265752a178d124d.tar.bz2
aports-9daf190140831245a003286bf265752a178d124d.tar.xz
main/perl-ipc-sharelite: new aport
Diffstat (limited to 'main/perl-ipc-sharelite/APKBUILD')
-rw-r--r--main/perl-ipc-sharelite/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/main/perl-ipc-sharelite/APKBUILD b/main/perl-ipc-sharelite/APKBUILD
new file mode 100644
index 0000000000..7527805e51
--- /dev/null
+++ b/main/perl-ipc-sharelite/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=perl-ipc-sharelite
+pkgver=0.17
+pkgrel=0
+pkgdesc="Lightweight interface to shared memory"
+url="http://cpansearch.perl.org/src/ANDYA/IPC-ShareLite-$pkgver"
+arch="all"
+license="PerlArtistic GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AN/ANDYA/IPC-ShareLite-$pkgver.tar.gz"
+
+_builddir="$srcdir"/IPC-ShareLite-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="54c7aa08dc065b6c946c48491d33450d IPC-ShareLite-0.17.tar.gz"
+sha256sums="14d406b91da96d6521d0d1a82d22a306274765226b86b0a56e7ffddcf96ae7bf IPC-ShareLite-0.17.tar.gz"
+sha512sums="f796f6766df11205755de4672ff8a586690545ccaa2f91c3fc65f106f3b61e1cbd86ee3e97dadf787809e3be32f503670cb67dafc9b18eee30d59d8be03b5ee9 IPC-ShareLite-0.17.tar.gz"